View Issue Details

IDProjectCategoryView StatusLast Update
0001963XdebugUncategorizedpublic2021-10-04 09:32
Reporterdora Assigned Toderick  
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version3.0.4 
Fixed in Version3.1.0 
Summary0001963: php exit code = -1073741819 when xdebug.mode = off (Windows Thread Safe Only)
DescriptionWhen I specify xdebug.mode = off, php command returns with exit code = -1073741819.
This happens only on Windows Thread Safe binaries.
I tested Windows Non Thread Safe binaries and Linux binaries.
Both php command returns with exit code = 0.
Steps To ReproduceDownload pre-built binaries:
- https://windows.php.net/downloads/releases/php-8.0.3-Win32-vs16-x64.zip
- https://xdebug.org/files/php_xdebug-3.0.4-8.0-vs16-x86_64.dll

Unzip the zip file into c:\php\php-8.0.3-Win32-vs16-x64\
Move the dll file into c:\php\ext\php_xdebug-3.0.4-8.0-vs16-x86_64.dll
Rename php.ini-development to php.ini and append the next line:
  zend_extension = C:\php\ext\php_xdebug-3.0.4-8.0-vs16-x86_64.dll

Then, execute "php -v" command.
("php -v" is just an example. any php command returns with exit code -1073741819.)

```
C:\php\php-8.0.3-Win32-vs16-x64>set XDEBUG_MODE=off

C:\php\php-8.0.3-Win32-vs16-x64>php -v
PHP 8.0.3 (cli) (built: Mar 2 2021 23:34:05) ( ZTS Visual C++ 2019 x64 )
Copyright (c) The PHP Group
Zend Engine v4.0.3, Copyright (c) Zend Technologies
    with Xdebug v3.0.4, Copyright (c) 2002-2021, by Derick Rethans

C:\php\php-8.0.3-Win32-vs16-x64>echo %ERRORLEVEL%
-1073741819

C:\php\php-8.0.3-Win32-vs16-x64>set XDEBUG_MODE=

C:\php\php-8.0.3-Win32-vs16-x64>php -v
PHP 8.0.3 (cli) (built: Mar 2 2021 23:34:05) ( ZTS Visual C++ 2019 x64 )
Copyright (c) The PHP Group
Zend Engine v4.0.3, Copyright (c) Zend Technologies
    with Xdebug v3.0.4, Copyright (c) 2002-2021, by Derick Rethans

C:\php\php-8.0.3-Win32-vs16-x64>echo %ERRORLEVEL%
0
```
TagsNo tags attached.
Operating SystemWindows 10
PHP Version8.0.0-8.0.4

Activities

dora

2021-04-10 08:50

reporter   ~0005824

Correction:
Reproducibility: sometimes --> always

derick

2021-04-21 08:12

administrator   ~0005852

I can indeed reproduce this (on CI):

https://github.com/xdebug/xdebug/pull/735/files

Result with ZTS: https://ci.appveyor.com/project/derickr/xdebug/builds/38802448/job/1fyy67qgoy8lm69n#L631
Result with NTS: https://ci.appveyor.com/project/derickr/xdebug/builds/38802448/job/tkamro92x2cjkpg5#L631

derick

2021-04-21 12:37

administrator   ~0005856

Fixed for Xdebug 3.1: https://github.com/xdebug/xdebug/pull/735

Issue History

Date Modified Username Field Change
2021-04-10 08:44 dora New Issue
2021-04-10 08:50 dora Note Added: 0005824
2021-04-21 08:12 derick Assigned To => derick
2021-04-21 08:12 derick Status new => confirmed
2021-04-21 08:12 derick Note Added: 0005852
2021-04-21 12:37 derick Status confirmed => closed
2021-04-21 12:37 derick Resolution open => fixed
2021-04-21 12:37 derick Fixed in Version => 3.1dev
2021-04-21 12:37 derick Note Added: 0005856
2021-09-05 16:15 derick Fixed in Version 3.1dev => 3.1.0beta1
2021-10-04 09:32 derick Fixed in Version 3.1.0beta1 => 3.1.0